Subject: RE: linux-next: build failure after merge of the sound-asoc tree

From: Shuming [范書銘] <[email-masked]>
Date: Tue, 17 Apr 2018 02:14:12 +0000

Hi all,

I already sent the patch. 
http://mailman.alsa-project.org/pipermail/alsa-devel/2018-April/134522.html

I apologize for the inconvenience.

Thanks!

Regards,
Shuming Fan

-----Original Message-----
From: Shuming [范書銘] 
Sent: Tuesday, April 17, 2018 9:23 AM
To: 'Stephen Rothwell'; Mark Brown; Liam Girdwood
Cc: Linux-Next Mailing List; Linux Kernel Mailing List
Subject: RE: linux-next: build failure after merge of the sound-asoc tree

Hi all,

I think I miss the header file (#include <linux/acpi.h>) I will fix it ASAP. Sorry about that.

Thanks!

Regards,
Shuming Fan

-----Original Message-----
From: Stephen Rothwell [mailto:[email-masked]]
Sent: Tuesday, April 17, 2018 9:03 AM
To: Mark Brown; Liam Girdwood
Cc: Linux-Next Mailing List; Linux Kernel Mailing List; Shuming [范書銘]
Subject: linux-next: build failure after merge of the sound-asoc tree

Hi all,

After merging the sound-asoc tree, today's linux-next build (x86_64
allmodconfig) failed like this:

sound/soc/codecs/rt1305.c:1179:23: error: implicit declaration of function 'ACPI_PTR'; did you mean 'ERR_PTR'? [-Werror=implicit-function-declaration]
   .acpi_match_table = ACPI_PTR(rt1305_acpi_match)
                       ^~~~~~~~
                       ERR_PTR
sound/soc/codecs/rt1305.c:1179:23: warning: initialization makes pointer from integer without a cast [-Wint-conversion]
sound/soc/codecs/rt1305.c:1179:23: note: (near initialization for 'rt1305_i2c_driver.driver.acpi_match_table')
sound/soc/codecs/rt1305.c:1179:23: error: initializer element is not constant
sound/soc/codecs/rt1305.c:1179:23: note: (near initialization for 'rt1305_i2c_driver.driver.acpi_match_table')

Caused by commit

  29bc643ddd7e ("ASoC: rt1305: Add RT1305/RT1306 amplifier driver")

I have used the sound-asoc tree from next-20180416 for today.

--
Cheers,
Stephen Rothwell

------Please consider the environment before printing this e-mail.